package com.xtd.project.assets.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;

/**
 * 调拨资产对象 db_assets_stock_allot_ex
 * 
 * @author xtd
 * @date 2020-04-20
 */
public class DbAssetsStockAllotEx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long aId;

    /** 资产调用表id */
    @Excel(name = "资产调用表id")
    private Long allotId;

    /** 资产id */
    @Excel(name = "资产id")
    private Long dbAsStId;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String dbAsStName;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String dbAsStNumber;

    public void setaId(Long aId) 
    {
        this.aId = aId;
    }

    public Long getaId() 
    {
        return aId;
    }
    public void setAllotId(Long allotId) 
    {
        this.allotId = allotId;
    }

    public Long getAllotId() 
    {
        return allotId;
    }
    public void setDbAsStId(Long dbAsStId) 
    {
        this.dbAsStId = dbAsStId;
    }

    public Long getDbAsStId() 
    {
        return dbAsStId;
    }
    public void setDbAsStName(String dbAsStName) 
    {
        this.dbAsStName = dbAsStName;
    }

    public String getDbAsStName() 
    {
        return dbAsStName;
    }
    public void setDbAsStNumber(String dbAsStNumber) 
    {
        this.dbAsStNumber = dbAsStNumber;
    }

    public String getDbAsStNumber() 
    {
        return dbAsStNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("aId", getaId())
            .append("allotId", getAllotId())
            .append("dbAsStId", getDbAsStId())
            .append("dbAsStName", getDbAsStName())
            .append("dbAsStNumber", getDbAsStNumber())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
